%define upstream_name	 Text-Glob
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Match globbing patterns against text
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Text::Glob implements glob(3) style matching that can be used to match against
text, rather than fetching names from a filesystem. If you want to do full file
globbing use the File::Glob module instead.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%check
make test

%files
%doc Changes META.yml
%{perl_vendorlib}/Text
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-7.mga6
+ Revision: 1034919
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.90.0-6.mga6
+ Revision: 932783
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 750610
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 686624
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-3.mga4
+ Revision: 515560
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 374075
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 60390
- update to 0.09

* Sat Jan 22 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 31318
- mageia rebuild
- imported package perl-Text-Glob


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.0
+ Revision: 402537
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.08-3mdv2009.0
+ Revision: 268785
- rebuild early 2009.0 package (before pixel changes)

* Sat May 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-2mdv2009.0
+ Revision: 210961
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 04 2007 Olivier Thauvin <nanardon@mandriva.org> 0.08-1mdv2008.0
+ Revision: 22144
- 0.08


* Mon Jul 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2007.0
- New version 0.07

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.06-5mdk
- Fix SPEC according to Perl Policy
	- Source URL
- use mkrel

* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-4mdk 
- better url
- spec cleanup
- make test in %%check
- don't ship useless empty directories

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.06-3mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.06-2mdk 
- rpmbuildupdate aware
- fix summary capitalization

* Tue Mar 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.06-1mdk
- first mdk release

